Bug 1278606 - [GSS](6.4.z) Remote Naming holding cache lock while closing leading to thread pile up
[GSS](6.4.z) Remote Naming holding cache lock while closing leading to thread...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Naming (Show other bugs)
6.4.4
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.6
Assigned To: Dmitrii Tikhomirov
:
Depends On:
Blocks: 1235746 1280507 1280510 1297478
  Show dependency treegraph
 
Reported: 2015-11-05 18:46 EST by Brad Maxwell
Modified: 2017-08-03 17:57 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 06:46:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-12544 Major Verified [GSS](7.0.z) Remote Naming holding cache lock while closing leading to thread pile up 2017-11-08 23:07 EST
Red Hat Knowledge Base (Solution) 2135131 None None None 2016-01-21 18:46 EST

  None (edit)
Description Brad Maxwell 2015-11-05 18:46:41 EST
Remote Naming holding cache lock while closing leading to thread pile up

   java.lang.Thread.State: BLOCKED
	at org.jboss.naming.remote.client.EndpointCache.get(EndpointCache.java:41)
	- waiting to lock <2b3bce62> (a org.jboss.naming.remote.client.EndpointCache) owned by "Thread-2 (HornetQ-client-global-threads-1312378312)"
Comment 2 Enrique Gonzalez Martinez 2015-11-06 02:46:05 EST
Hi brad, I think it would be really helpful if you provide the whole stack.
Comment 9 Jan Martiska 2016-01-20 07:01:16 EST
Verified in EAP 6.4.6.CR2
Comment 10 Petr Penicka 2017-01-17 06:46:25 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.
Comment 11 Petr Penicka 2017-01-17 06:47:45 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.